org.icefaces.ace.component.checkboxbutton

## Enum CheckboxButtonBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<CheckboxButtonBase.PropertyKeys>
  - - org.icefaces.ace.component.checkboxbutton.CheckboxButtonBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CheckboxButtonBase.PropertyKeys>
  Enclosing class:
    CheckboxButtonBase

      protected static enum CheckboxButtonBase.PropertyKeys
      extends java.lang.Enum<CheckboxButtonBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `disabled`
    `group`
    `label`
    `style`
    `styleClass`
    `tabindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static CheckboxButtonBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CheckboxButtonBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final CheckboxButtonBase.PropertyKeys accesskey

    - #### disabled

          public static final CheckboxButtonBase.PropertyKeys disabled

    - #### group

          public static final CheckboxButtonBase.PropertyKeys group

    - #### label

          public static final CheckboxButtonBase.PropertyKeys label

    - #### style

          public static final CheckboxButtonBase.PropertyKeys style

    - #### styleClass

          public static final CheckboxButtonBase.PropertyKeys styleClass

    - #### tabindex

          public static final CheckboxButtonBase.PropertyKeys tabindex

  - ### Method Detail

    - #### values

          public static CheckboxButtonBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckboxButtonBase.PropertyKeys c : CheckboxButtonBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckboxButtonBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CheckboxButtonBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.